EDIT - bug #6952

Deleting terms does not get reflected in the Ul and in the DB
09/15/2017 02:55 PM - Patrick Plitzner

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal Found in Version:

Description

If you delete a term in the term editor nothing happens in the Ul.
After reconnecting and re-opening the term editor, the term is gone but it is still is the DB.

This seems to be related to #6951 because it works for terms that have the vocabulary as parent but not if they have another term as
parent.

Another issue: If a term (with vocabulary as parent) is deleted, the term editor gets dirty but the term has actually been already
deleted in the database making it impossible to revert your changes.

Related issues:
Related to EDIT - bug #6951: Drag and drop does not update term hierarchy in ... Closed
Related to EDIT - feature request #7887: Use DTOs in term editor Closed

Associated revisions

Revision 8edb3fc3 - 02/01/2019 12:45 PM - Patrick Plitzner

ref #6952 Temporarily disallow deletion of non-empty vocabularies

History

#1 - 09/15/2017 02:56 PM - Patrick Plitzner
- Related to bug #6951: Drag and drop does not update term hierarchy in the Ul added

#2 - 09/20/2017 10:53 PM - Andreas Miiller

- Description updated

#3 - 09/20/2017 11:25 PM - Andreas Miiller

After reconnecting and re-opening the term editor, the term is gone but it is still is the DB.

What happens in the DB is that the partOf relationship is deleted (partOf_id = NULL) and also the term is removed from the vocabulary (vocabulary_id
= NULL), but the DefinedTermBase record itself is still in the DB. Therefore it does not appear in the Term Editor after reconnect.

#4 - 11/30/2018 01:20 PM - Patrick Plitzner
- Status changed from New to Resolved
- Target version changed from Unassigned CDM tickets to Release 5.5

- % Done changed from 0 to 50

This issue is fixed with the implementation of DTOs in the term editor #7887

#5 - 11/30/2018 01:20 PM - Patrick Plitzner
- Related to feature request #7887: Use DTOs in term editor added

#6 - 01/18/2019 02:30 PM - Patrick Plitzner

- Assignee changed from Katja Luther to Andreas Mdiller
This issue should be reviewed

#7 - 01/27/2019 12:45 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

This is partly fixed. Deleting a single term works. The following issues do not yet work as expected:

1. Deleting a vocabulary does not delete the terms within the vocabulary (do we need cascading.Delete for this?)

2. Deleting a term which is not a leave but a node with children, this is not possible. A warning appears that the term is referenced (by it's children).
Better handling here is to ask how the children should be handled (delete the whole subtree, attach children to parent, cancel). This is already
correctly implemented in taxon navigator and should be standard for all tree editors. Please have a look there.

#8 - 02/01/2019 12:41 PM - Patrick Plitzner
Andreas Miller wrote:
This is partly fixed. Deleting a single term works. The following issues do not yet work as expected:
1. Deleting a vocabulary does not delete the terms within the vocabulary (do we need cascading.Delete for this?)
2. Deleting a term which is not a leave but a node with children, this is not possible. A warning appears that the term is referenced (by it's

children). Better handling here is to ask how the children should be handled (delete the whole subtree, attach children to parent, cancel).
This is already correctly implemented in taxon navigator and should be standard for all tree editors. Please have a look there.

| did not change the logic of the delete operation when refactoring the term editor to use DTOs. So this must have worked the same way as before.
There is also no specific delete method in the vocabulary service. So we have to decide if this should be done via Cascading or if we implement the
recursive deletion in the service method.

For now, | just disallow the deletion of vocabularies that are not empty

#9 - 02/07/2019 01:35 PM - Andreas Miller

- Assignee changed from Patrick Plitzner to Katja Luther

Katja, could you have a look on the delete issue as you have the most experience with delete handling.

#10 - 02/08/2019 10:14 AM - Katja Luther
- Status changed from Feedback to In Progress
- Priority changed from New to Highest

- Target version changed from Release 5.5 to Release 5.6

| will do that in the next release

#11 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release
